Subject: Re: linux-next: manual merge of the staging tree with the crypto tree

From: Greg KH <[email-masked]>
Date: Thu, 15 Mar 2018 11:18:26 +0100

On Thu, Mar 15, 2018 at 05:58:41PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today's linux-next merge of the staging tree got conflicts in:
> 
>   drivers/staging/ccree/Kconfig
>   drivers/staging/ccree/Makefile
> 
> between commit:
> 
>   e294ca1cca3a ("staging: ccree: rename staging ver and mark as broken")
> 
> from the crypto tree and commit:
> 
>   8b0217965418 ("staging: ccree: remove ccree staging driver copy")
> 
> from the staging tree.
> 
> I fixed it up (I just removed the files) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Thanks for this, we knew it was going to happen, sorry :(

You did the correct merge.

greg k-h